RASA X not running. Urgent

@nik202 Actually I developed my bot and it was fine in my rasa shell but I want to share it with the testers. For that I need rasa x to deploy it. Do you know any other way to do?

This is my complete installation process of rasa

  1. conda create --name NAME python==3.8 conda activate NAME

  2. conda install ujson

  3. conda install tensorflow

  4. check for pip version: pip --version (latest) pip install rasa==x.x.x

  5. down grade pip version to pip install pip==20.2 --user

  6. pip install rasa-x==x.x.x --extra-index-url https://pypi.rasa.com/simple

@nigil_raj yes, that I can help. Do you know rasa webchat?

@nigil_raj https://youtu.be/eJMT2FovZsM + use grok for deployment

@nik202 Yeh it also works fine and I also integrate it in telegram, but they need it in rasa x. So that by using interactive learning mode the bot can train well. They were asking in rasa-x webpage. Could you please tell me a solution for this?

Hello All,

I am facing exact same issue. RASA X installed successfully without any issues but getting the same error as above folks. IS there a resolution yet on the issue. Anybody from RASA team want to chime in. Need some guidance urgently. Thanks.

1 Like

I’ve just done a complete reinstallation from conda to rasa-x without error but rasa x will not run. Is there any resolution to this issue?

(rasa38) C:\devp\rasa1>rasa x Starting Rasa X in local mode… :rocket: Traceback (most recent call last): File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.script.revision.ResolutionError: No such revision or branch ‘072f6bf4d5dc’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasa\cli\x.py”, line 495, in run_locally local.main( File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 783, in exec_module File “”, line 219, in _call_with_frames_removed File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 365, in _upgrade_revs return [ File “c:\programdata\anaconda3\lib\contextlib.py”, line 131, in exit self.gen.throw(type, value, traceback) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\tariq\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.util.exc.CommandError: Can’t locate revision identified by ‘072f6bf4d5dc’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@tswordsmith delete the .db files and run rasa-x

Have you been able to deploy it on rasa x? I am having the same issues of asyncio.TimeoutError when trying to run rasa x

Hi @c-stephd Yes, I deployed it in rasa x. The rasa x is running properly, but it shows some errors in terminal, just like this,

But I ignore that errors.

And follow the installation procedure below, to run the rasa x like mine.

Installation: rasa x installation

CREATE A SEPARATE ENV USING ANACONDA PROMPT WITH RESPECTED PYTHON VERSION.

REQUIRED: The latest supported Visual C++ downloads. https://support.microsoft.com/en-us/topic/the-latest-supported-visual-c-downloads-2647da03-1eea-4433-9aff-95f26a218cc0 (or) Install it using Visual studio installer refer: Install Rasa/Rasa X in Windows. Step by step guide to install and set… | by Co-learning Lounge | Co-Learning Lounge | Medium

  1. conda create --name NAME python==3.8

    conda activate NAME

  2. conda install ujson

  3. conda install tensorflow

  4. check for pip version: pip --version (Should be latest version > 21.1.x)

    pip install rasa==x.x.x (refer version below)

  5. down grade pip version

    pip install pip==20.2 --user

  6. pip install rasa-x==x.x.x --extra-index-url https://pypi.rasa.com/simple (refer version below)

Versions: python --version Python 3.8.0

rasa --version Rasa Version : 2.6.2

Minimum Compatible Version: 2.6.0

Rasa SDK Version : 2.6.0

Rasa X Version : 0.40.0

Python Version : 3.8.0

Operating System : Windows-10

These versions are completely fine, and they don’t have any conflicts with each other. The latest version of rasa X is not working properly, and I don’t know why. I hope this installation might help you to run your bot in rasa x.

Thanks!!!. It is working now

1 Like

Thanks this combination works. I hope they solve the problems with the latest versions soon or at least acknowledge there is a problem.

1 Like

OK, I found this post Local rasa x installation fails from @lmb where she backed her rasa-x version down to 0.35.0. In my venv, all I did was follow what lmb posted which as to run: pip install rasa-x==0.35.0 --extra-index-url https://pypi.rasa.com/simple then I did: rasa x and it came up. Like many of you, I had tried the above install procedure but I suppose you really have to go back further that 0.40.0. I just looked at the rasa-x change long and might try to go up to 0.39.3 just to see where if 0.40.0 was the start of where things broke, at least of some of us.

Thanks a bunch @lmb !!!

@kchang808 Are you able to install Rasa-X finally? if yes, please share the steps for others, it will be very great gesture from your side.

Yes, I was able to install following the procedure given by nigil_raj above, however, after not being able to run with 0.40.0 I downgraded rasa-x to 0.35.0 as described by @lmb. Also, I just tried pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple, and that works as well. There’s something about rasa-x 0.40.0 and above that breaks for some of us.

Also if you run into a error: ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’
try running pip install SQLAlchemy==1.3.22 should fix it. That was from upgrade pip3 on windows 10 fails. when upgrade pip fro 20.0.2 to 20.1… | by More Less | Medium

And, if you get an error not being able to import yaml then run pip install pyyaml. That was from New install failing ImportError: No module named 'yaml' · Issue #590 · ipython-contrib/jupyter_contrib_nbextensions · GitHub

I am running on Windows 10 build 2004 and note my pip is the current version

1 Like

@kchang808 Congratulates :handshake: Thanks for the solution, Yes, I agreed with you that current Rasa-X having an issue, may be rasa team is working for a solution. I guess at backend using rasa-x 0.39.3 you getting some warnings, that can be ignored I guess or you not getting any errors at all? If it’s a clean execution at backend terminal whilst working on browser then its a clean solutions. Thanks for a share.

1 Like

It’s clean now. I tried so many solutions it forget what I did but the two about SQLAlchem and yaml probably need to be done in order to get a clean execution on the backend so I could work through the browser.